# OF02 - Get information and statistics about an offer import

Call Frequency

Recommended usage: After each OF01 call, every 5 minutes
Maximum usage: Once per minute
Read More

More context

Endpoint: GET /api/offers/imports/{import}

## Path parameters:

  - `import` (integer, required)
    Import identifier

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200 fields (application/json):

  - `date_created` (string, required)
    Import creation date

  - `has_error_report` (boolean, required)
    Indicate if an error report exists

  - `import_id` (integer, required)
    Import ID

  - `lines_in_error` (integer, required)
    Total count of lines in error

  - `lines_in_pending` (integer, required)
    Total count of lines in pending

  - `lines_in_success` (integer, required)
    Total count of lines in success

  - `lines_read` (integer, required)
    Total count of lines read

  - `mode` (string, required)
    Import mode

Enum: "NORMAL", "REPLACE"


  See deprecated values

  Deprecated values: "PARTIAL_UPDATE"

  - `offer_deleted` (integer, required)
    Total count of deleted offers

  - `offer_inserted` (integer, required)
    Total count of inserted offers

  - `offer_updated` (integer, required)
    Total count of updated offers

  - `reason_status` (string, required)
    Import status reason

  - `status` (string, required)
    Import status

Enum: "WAITING_SYNCHRONIZATION_PRODUCT", "WAITING", "RUNNING", "COMPLETE", "FAILED"

  - `type` (string, required)
    Will be remove in a future version

Enum: "AUTO", "MIRAKL", "AMAZON"


